MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000785VCMIGUI - Battlespublic2011-08-05 19:502014-05-30 17:41
Reporterlssjbrolli 
Assigned ToTow 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.89 
Summary0000785: using catapult on non-wall hex
Descriptionif you are using catapult onto a non-wall/tower hex it passes the turn of catapult.
message in console:

For the hex position 96 is no curve defined.For the hex position 96 is no curve defined.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000783resolvedbeegee sound missing when using catapult 
related to 0001014resolvedbeegee Catapult can't shoot on castle gate 
child of 0001065assignedDydzio H3-VCMI discrepancies regarding wall/turret sections which can be targeted (and related errors) 

-  Notes
(0001913)
majaczek (reporter)
2011-08-05 21:00

funny :)
catapult use balistics curve calculation.
sadly it's defined only for wall hexes. (calculations are optimised to be simple)
it should be addded the tower or changed to dynamic calculation
(0001914)
lssjbrolli (reporter)
2011-08-05 21:02

the problem is that if you click somewhere else beside wall or tower it passes the turn of catapult like it shooted
(0001920)
majaczek (reporter)
2011-08-06 15:07

yeah i know the error makes action with the problem suspended as much of error handling in vcmi (if it were assertion you would get crash here, this way it's much better but still wrong)
(0002320)
Tow (developer)
2012-03-30 21:39

Fixed in r2599.
(0002323)
majaczek (reporter)
2012-03-31 08:56
edited on: 2012-03-31 08:57

Note that some officail wog scripts make use of catapult as non-siege weapon (for attacking units), so inability to attack non wall hex shouldn't be hardcoded (at least outside siege, well we can make "issiege" a switch for handling of catapult unit, so we "probably" can keep this resolve for siege, and treat catapult similairy to ballista if "summoned" outside siege)

PS: I'm Curious when or whether erm handling (we currently have an interpreter but non-variable-based commands doesn't do anything yet) of official scripts will have bugs in VCMI, while they oryginally worked (almost) flawlessly in WoG. Also there many hack-based approaches in unofficial scripts which aren't !!UN:Cvar1/var2; (but use "standard" commands in non-standard way) but probably wouldn't do desired effects in VCMI (one hack I use in my script is to disable commander support somewhere near begining of battle and enable later - this way I can override in-battle mechanics of commander but keep all hardcoded prebattle postbattle and out of battle mechanics including leveling but funny there's technically no commander inside battle which serves my purporse) I wonder what hack resort others when they can't get exactly what they want using standard way.

(0002329)
Tow (developer)
2012-04-01 12:48

"Note that some officail wog scripts make use of catapult as non-siege weapon (for attacking units), so inability to attack non wall hex shouldn't be hardcoded"

Vanilla H3 already has a unit that can both attack walls and other creatures — Cyclop Kings. I just checked them and they are handled by GUI properly. However game crashes as soon as they shoot... I will fix it soon. :)

"I'm Curious when or whether erm handling of official scripts will have bugs in VCMI"
Certainly. What big feature was implemented without bugs? I try my best but they just happen. :P

- Issue History
Date Modified Username Field Change
2011-08-05 19:50 lssjbrolli New Issue
2011-08-05 19:50 lssjbrolli Status new => assigned
2011-08-05 19:50 lssjbrolli Assigned To => Tow dragon
2011-08-05 21:00 majaczek Note Added: 0001913
2011-08-05 21:02 lssjbrolli Note Added: 0001914
2011-08-06 07:31 Warmonger Relationship added related to 0000783
2011-08-06 10:25 beegee Assigned To Tow dragon => beegee
2011-08-06 15:07 majaczek Note Added: 0001920
2012-02-27 12:27 Warmonger Assigned To beegee => Warmonger
2012-02-27 12:27 Warmonger Assigned To Warmonger => beegee
2012-03-30 21:39 Tow Note Added: 0002320
2012-03-30 21:39 Tow Status assigned => resolved
2012-03-30 21:39 Tow Fixed in Version => 0.89
2012-03-30 21:39 Tow Resolution open => fixed
2012-03-30 21:39 Tow Assigned To beegee => Tow
2012-03-30 21:39 Tow Category Mechanics - Battles => GUI - Battles
2012-03-31 08:56 majaczek Note Added: 0002323
2012-03-31 08:57 majaczek Note Edited: 0002323 View Revisions
2012-04-01 12:48 Tow Note Added: 0002329
2012-09-01 21:08 Zamolxis Relationship added related to 0001014
2012-09-01 23:31 Zamolxis Relationship added child of 0001065
2014-05-30 17:41 beegee Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean